
QGIS Application - Bug report #5108

compilation failed (maptool)

2012-03-02 01:38 AM - Martin Landa

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14869

Description

Compilation of master fails with geos 3.3+

/home/martin/src/qgis_master/src/app/qgsmaptooloffsetcurve.cpp: In member function ‘void

QgsMapToolOffsetCurve::setOffsetForRubberBand(double, bool)’:

/home/martin/src/qgis_master/src/app/qgsmaptooloffsetcurve.cpp:360:19: error: redeclaration of ‘GEOSGeometry* offsetGeom’

/home/martin/src/qgis_master/src/app/qgsmaptooloffsetcurve.cpp:356:19: error: ‘GEOSGeometry* offsetGeom’ previously

declared here

make[2]: *** [src/app/CMakeFiles/qgis.dir/qgsmaptooloffsetcurve.cpp.o] Error 1

make[1]: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

make: *** [all] Error 2

Patch attached.

History

#1 - 2012-03-02 01:40 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#2 - 2012-04-09 03:37 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

It was fixed in commit:337eec35fa

Files

maptools.diff 1.02 KB 2012-03-02 Martin Landa
